Package org.eclipse.viatra.transformation.runtime.emf.rules.eventdriven

## Class EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match extends IPatternMatch,​Matcher extends ViatraQueryMatcher<Match>>

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.rules.eventdriven.EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher>

- Enclosing class:
    EventDrivenTransformationRuleFactory

      public class EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match extends IPatternMatch,​Matcher extends ViatraQueryMatcher<Match>>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventDrivenTransformationRuleBuilder()` | Deprecated. Use `#EventDrivenTransformationRuleFactory(IQuerySpecification)` instead
    `EventDrivenTransformationRuleBuilder​(IQuerySpecification<Matcher> precondition)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher>` | `action​(java.util.function.Consumer<Match> action)` |
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher>` | `action​(CRUDActivationStateEnum state, java.util.function.Consumer<Match> action)` |
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher>` | `addLifeCycle​(ActivationLifeCycle lifeCycle)` |
    `EventDrivenTransformationRule<Match,​Matcher>` | `build()` |
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher>` | `filter​(java.util.Map.Entry<java.lang.String,​java.lang.Object>... parameters)` |
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher>` | `filter​(EventFilter<? super Match> filter)` |
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher>` | `name​(java.lang.String name)` |
    `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher>` | `precondition​(IQuerySpecification<Matcher> precondition)` | Deprecated. Use `#EventDrivenTransformationRuleFactory(IQuerySpecification)` constructor instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDrivenTransformationRuleBuilder

          @Deprecated
          public EventDrivenTransformationRuleBuilder()

      Deprecated.
      Use `#EventDrivenTransformationRuleFactory(IQuerySpecification)` instead

    - #### EventDrivenTransformationRuleBuilder

          public EventDrivenTransformationRuleBuilder​(IQuerySpecification<Matcher> precondition)

      Since:
        2.1

  - ### Method Detail

    - #### name

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher> name​(java.lang.String name)

    - #### precondition

          @Deprecated
          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher> precondition​(IQuerySpecification<Matcher> precondition)

      Deprecated.
      Use `#EventDrivenTransformationRuleFactory(IQuerySpecification)` constructor instead

    - #### action

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher> action​(java.util.function.Consumer<Match> action)

      Since:
        2.0

    - #### action

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher> action​(CRUDActivationStateEnum state,
                                                                                                                       java.util.function.Consumer<Match> action)

      Since:
        2.0

    - #### addLifeCycle

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher> addLifeCycle​(ActivationLifeCycle lifeCycle)

    - #### filter

          @SafeVarargs
          public final EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher> filter​(java.util.Map.Entry<java.lang.String,​java.lang.Object>... parameters)

      Since:
        2.0

    - #### filter

          public EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,​Matcher> filter​(EventFilter<? super Match> filter)

    - #### build

          public EventDrivenTransformationRule<Match,​Matcher> build()